Package org.snpeff.probablility

# Class RandMarker

java.lang.Object
org.snpeff.probablility.RandMarker

public class RandMarker extends Object
Create random markers using a uniform distribution

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`RandMarker(Genome genome)`
`RandMarker(Genome genome, int seed)`

## Method Summary

Modifier and Type
Method
Description
`Marker`
`rand(int readLen)`
Create a random marker of size readLen

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RandMarker

public RandMarker(Genome genome)

### RandMarker

public RandMarker(Genome genome, int seed)

## Method Details

### rand

public Marker rand(int readLen)
Create a random marker of size readLen

Parameters:
  `readLen` - WARNIIG: It will loop forever if there is no chromosome longer than readLen
Returns:
  A marker at a random chromosome invalid input: '&' position.